# Using apt-cache

From: https://apimirror.com/docker~17/engine/examples/apt-cacher-ng/index

I have updated it so it runs as any UID:GID.  See the above on various options to utilize this with apt.

I am using option #2, but localizing it with an export statement.  This sets the http_proxy, but just for that one statement.

* Edit the .env file and set the USERID to your uid and gid.  __Possibly 1000:1000__
* Create cache directory
* Build image, and start the container.

````
docker-compose build
docker-compose up -d
````

````
"DOCKER_HOST=$(ip -4 addr show docker0 | grep -Po 'inet \K[\d.]+')"
````

This will give you the IP address of the host system to be used in your builds.

# Displaying apt-cacher-ng stats

Open http://127.0.0.1:3142/acng-report.html in your web browser.

# Using in Dockerfile

````
RUN export http_proxy=http://192.168.254.83:3142 \
  && apt-get update && apt-get -y install wget build-essential unzip
````
